#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n, t=0, p=0;
    cin>>n;
    int r[n],c[n];
    for (int i=1; i<=n; i++)
        cin>>r[i]>>c[i];
    for (int i=1; i<n; i++)
    {
        if (r[i]!=r[i+1])
            p=1;
    }
    if (p==0)
        t=n-1;
    else
    {
    for (int i=1; i<n; i++)
    {
        if (c[i]!=c[i+1])
            p=1;
    }
    if (p==0)
        t+=n-1;
    }
    int zbir=0;
    for (int i=1; i<=n; i++)
        zbir+=i;
    int rez=n*(n+1)/2;
    t+=abs(rez-zbir);
    int kolone=0;
    for (int i=1; i<=n; i++)
        kolone+=c[i];
    t+=abs(kolone-zbir);
    cout<<t<<endl;
}